Delete vendor refund payment
curl --request DELETE \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/bills/refunds/{refundId}/payments/{paymentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/bills/refunds/{refundId}/payments/{paymentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/bills/refunds/{refundId}/payments/{paymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "com.layerfi.routers.EmptyResponse"
}
}Vendor Refunds
Delete vendor refund payment
Deletes a payment for a vendor refund.
DELETE
/
v1
/
businesses
/
{businessId}
/
bills
/
refunds
/
{refundId}
/
payments
/
{paymentId}
Delete vendor refund payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to delete vendor refund payment for.
The UUID of the vendor refund to delete payment for.
The UUID of the payment to delete.
Response
200 - application/json
Vendor refund payment successfully deleted.
Show child attributes
Show child attributes
⌘I